Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"17a271a5-9683-49c5-a33c-185b6b659610","url":null,"userId":"481fa305-596c-4a74-91c7-828d5d2cf9b0","userUrl":null,"categoryId":"9a7c469f-965b-4764-9fbd-5910c337b7f1","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-11-12T20:44:16.8579536+00:00","lastModifiedDateTime":"2026-11-13T16:44:16.8579536+00:00","availableFrom":"2026-11-13T20:44:16","startDateTimeZone":null,"availableUntil":"2026-11-14T20:44:16","endDateTimeZone":null,"medias":[{"id":"ac69825b-f427-4788-9041-8184f422054b","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"b02a7b71-d521-41e2-ab95-db565ebf392e","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"0d89a17a-541b-4257-9def-4119c9a511ba","url":null},{"type":"Department","name":"Department name example","id":"bd0d0937-eab4-4d7d-b9a2-a0ac8093dcd3","url":null},{"type":"User group","name":"User group name example","id":"89640fe4-3053-4379-a019-639262d5506f","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"ef206887-20bd-4044-9c39-fff9a3242540"}],"userGroups":[{"url":null,"name":"User group name example","id":"04b04fb5-3272-4fd3-ab07-b8dcb5653d60"}],"requireAllUserGroups":false}]}}
object
  ⯈ data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    bodyText string      
    culture string      
    title string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   ⯈ permissions array[object]      
    ⯈ departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    ⯈ userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string